RECESS(1)

NAME
recess - simple, attractive code quality tool for CSS built on top of LESS.

SYNOPSIS
recess [PATH] [OPTIONS]

DESCRIPTION
Developed at Twitter to support our internal styleguide, RECESS is a simple, attractive code quality tool for CSS built on top of LESS.

Incorporate it into your development process as a linter, or integrate it directly into your build system as a compiler, RECESS will keep your source looking clean and super manageable.

OPTIONS

--compile
    compiles your code and outputs it to the terminal. Fixes white space and sort order. Can compile css or less.

--compress
    compress your compiled code.

--config
    accepts a path, which specifies a json config object.

--stripColors
    removes color from output (useful when logging).

--watch
    watch filesystem for changes, useful when compiling Less projects.

--noIDs
    doesn't complain about using IDs in your stylesheets.

--noJSPrefix
    doesn't complain about styling `.js-` prefixed classnames.

--noOverqualifying
    doesn't complain about overqualified selectors (ie: `div#foo.bar`).

--noUnderscores
    doesn't complain about using underscores in your class names.

--noUniversalSelectors
    doesn't complain about using the universal `*` selector.

--strictPropertyOrder
    doesn't looking into your property ordering.

--zeroUnits
    doesn't complain if you add units to values of 0.

EXAMPLES

Lint all css files:
    $ recess *.css

Lint file, ignore styling of IDs:
    $ recess ./bootstrap.css --noIds false

Compile and compress .less file, then output it to a new file:
    $ recess ./bootstrap.less --compress > ./bootstrap-production.css

Watch a directory for changes and auto compile a css file from the changes. *experimental*:
    $ recess input.less:ouput.css --compile --watch watch/this/dir/for/changes

SEE ALSO
node-less(1)

AUTHOR
RECESS was written by Jacob Thornton <jacob@twitter.com>.